IRPCUsersAdmin.GetUser

View as Markdown

Administration API / specialized admin session

Gets one user account by ID.

ServiceUsers MFiles.IRPCUsersAdmin
gRPC method/MFiles.IRPCUsersAdmin/GetUser
HTTP (mf-http-grpc)POST /grpc/v1/get-user
RequestGetUserRequest
ResponseGetUserResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetUserRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
userint32The ID of the user account.

Response: GetUserResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page. Fields marked (recursive) refer to a type already on their path.

FieldTypeDescription
putf8szuaUserAccountThe user account. See UserAccount.
putf8szua.idint32The ID of the user account.
putf8szua.login_namestringThe login name that is associated with this user account (e.g. 'DOMAIN\user').
putf8szua.vault_rolesVAULTROLESBitmask of the vault roles of the user.
putf8szua.vault_roles.allboolSpecifies all flags set; Including any future flags.
putf8szua.vault_roles.full_controlboolCan perform any activity in the vault.
putf8szua.vault_roles.can_log_inboolCan log in to the vault.
putf8szua.vault_roles.can_create_objectsboolCan create new documents.
putf8szua.vault_roles.can_see_all_objectsboolSees all documents in listings, regardless of security settings and deletion state.
putf8szua.vault_roles.can_undelete_objectsboolCan undelete previously deleted documents.
putf8szua.vault_roles.can_destroy_objectsboolHas permission to permanently destroy documents.
putf8szua.vault_roles.can_force_undo_checkoutboolHas permission to undo a check-out performed by another user.
putf8szua.vault_roles.can_change_all_object_permissionsboolCan change the security settings of all documents and modify all documents.
putf8szua.vault_roles.can_change_metadata_structureboolCan modify the meta data structure of the vault (propertydefs, profiles, value lists etc.).
putf8szua.vault_roles.can_manage_usersboolCan create, edit and delete user accounts. Cannot add or remove the Vault Manager role.
putf8szua.vault_roles.is_internal_userboolAn internal user of the vault. This role separates internal enad external users in the vault.
putf8szua.vault_roles.can_manage_traditional_foldersboolCan create, modify and delete traditional folders. OBSOLETE: const VAULTROLES VAULTROLE_DEFINE_TEMPLATES = 1 << 12; //!< Can define templates.
putf8szua.vault_roles.can_manage_common_viewsboolCan create, modify and delete common views.
putf8szua.vault_roles.can_manage_workflowsboolCan create, modify and delete workflows. Modifying event handlers within the workflow still requires SERVERACCESS_RUN_CODE.
putf8szua.vault_roles.cannot_manage_private_viewsboolCannot create or modify private views.
putf8szua.vault_roles.anonymousboolAnonymous role.
putf8szua.vault_roles.run_code_on_serverboolCan run code on the server hosting this vault. Not included in VAULTROLE_FULL_CONTROL, and cannot be ordinarily granted by it.
putf8szua.aclAccessControlListPermissions.
putf8szua.acl.checked_out_to_userint32Specifies the ID of the user who has extended rights because of the checkout operation performed by her. 0 if such user does not exist.
putf8szua.acl.is_fully_authoritativeboolSpecifies whether this access control list is set to ignore the secondary permissions that come from the latest checked in version.
putf8szua.acl.custom_componentAccessControlListComponentAccesses the custom component of this ACL.
putf8szua.acl.restrictive_components[]repeated AccessControlListComponentMapEntryAccesses the restrictive automatic components of this ACL.
putf8szua.acl.secondary_access_control_listAccessControlList (recursive)Secondary ACL used for latest version ACL. Not used for access check if null.
putf8szua.acl.additive_components[]repeated AccessControlListComponentMapEntryAccesses the additive automatic components of this ACL.
putf8szua.user_languageint32The vault language of the user.
putf8szua.external_idstringThe user identity in external system, such as Microsoft Entra (where the identity is a GUID). Read-only.